package com.idiot.operationbackend.config;


import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 微信第三方平台配置类
 * @author wang xiao
 * @date Created in 13:46 2020/9/11
 */
@Component
@ConfigurationProperties(prefix = "wechat.platform")
public class PlatformProperties {

    /**
     * appId
     */
    private String appId;

    /**
     * 授权回调域名 配置需要和第三方平台一致
     */
    private String authDomain;

    /**
     * 加解密key
     */
    private String secret;

    /**
     * 开发平台上面配置的token
     */
    private String token;


    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getAuthDomain() {
        return authDomain;
    }

    public void setAuthDomain(String authDomain) {
        this.authDomain = authDomain;
    }

    public String getSecret() {
        return secret;
    }

    public void setSecret(String secret) {
        this.secret = secret;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }
}
